PETSc version 3.15.5
Fix/Edit manual page

# DMCreateInjection_Moab

Generate a multi-level uniform refinement hierarchy by succesively refining a coarse mesh, already defined in the DM object provided by the user.

### Synopsis

    PETSC_EXTERN PetscErrorCode DMCreateInjection_Moab(DM dm1, DM dm2, VecScatter* ctx)

Collective

### Input Parameter

| dmb | - The DMMoab object

### Output Parameter

| nlevels | - The number of levels of refinement needed to generate the hierarchy
| ldegrees | - The degree of refinement at each level in the hierarchy

### Level

beginner

### Location

src/dm/impls/moab/dmmbmg.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages